diff options
author | Fredrik Aslund <fredrik.aslund@umu.se> | 2016-11-04 12:26:14 +0100 |
---|---|---|
committer | Fredrik Aslund <fredrik.aslund@umu.se> | 2016-11-04 12:26:14 +0100 |
commit | f8d9fe46ffec6ec072fa6e7440639c816787ec48 (patch) | |
tree | ffc9cd33322a7b34afa1da50069443c6722fcd1d /scripts | |
parent | 0981e9da175b4deaf669bb193be97edd75b88bbc (diff) |
failed exit code fetch
Diffstat (limited to 'scripts')
-rwxr-xr-x | scripts/aggregate.sh | 7 | ||||
-rwxr-xr-x | scripts/pull-and-verify.sh | 2 |
2 files changed, 7 insertions, 2 deletions
diff --git a/scripts/aggregate.sh b/scripts/aggregate.sh index 3d2c47e4..065ad9cb 100755 --- a/scripts/aggregate.sh +++ b/scripts/aggregate.sh @@ -21,5 +21,10 @@ grep -v -e '^#' $ODIR/metadata.lst | (while read url cert; do cfile=$DIR/certs/$cert fi cmd="$DIR/scripts/pull-and-verify.sh $url $ODIR $cfile" - $cmd || { echo "$cmd returned $ret" ; exit $ret ; } + $cmd + ret=$? + if [ "$ret" != "0" ] ; then + echo "$cmd returned $ret" + exit $ret + fi done) || exit $ret diff --git a/scripts/pull-and-verify.sh b/scripts/pull-and-verify.sh index 03992f1e..92485214 100755 --- a/scripts/pull-and-verify.sh +++ b/scripts/pull-and-verify.sh @@ -10,7 +10,7 @@ DIR=$2 CERT=$3 TMPF=`mktemp` -wget --timeout 120 --no-check-certificate -O$TMPF $URL || die "Unable to download $URL: $?" +wget -q --timeout 120 --no-check-certificate -O$TMPF $URL || die "Unable to download $URL: $?" if [ "x$CERT" != "x" ]; then samlsign -c $CERT -f $TMPF || die "Unable to verify $URL with $CERT: $?" fi |